#
# spec file for package cups-backends (Version 1.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           cups-backends
BuildRequires:  cups-devel hal-devel openssl-devel
Summary:        Various Free Backends for the cups Package
License:        GPL v2 or later
Group:          Hardware/Printing
Version:        1.0
Release:        18.4.23
Source0:        http://www.srz.de/Members/bla/cups/backend/hpnpf/hpnpf.tgz
Source1:        http://www.srz.de/Members/bla/cups/backend/hpnpf/hpnpf.txt
Source2:        cups-pipe.sh
Source4:        hal.c
Source5:        http://www.linuxprinting.org/download/printing/beh
Source6:        README-beh.html
Patch0:         hpnpf.patch
Requires:       cups-libs, dbus-1, hal
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains free additional backends for CUPS.



Authors:
--------
    Jiri Srain <jsrain@suse.cz>
    Jeffrey Stedfast <fejj@novell.com>

%prep
%setup -c -T
mkdir hpnpf
cd hpnpf
tar xzvvf %{SOURCE0}
cd ..
cp -a %{SOURCE4} .
cp -a %{SOURCE5} beh
cp -a %{SOURCE6} .

%build
gcc $RPM_OPT_FLAGS -fPIC -fPIE -pie -DDBUS_API_SUBJECT_TO_CHANGE \
	-I%{_includedir}/dbus-1.0/ -I%{_libdir}/dbus-1.0/include/ \
	-ldbus-1 -lhal hal.c -o hal

%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/cups/backend
install -m 755 -D ${RPM_SOURCE_DIR}/cups-pipe.sh $RPM_BUILD_ROOT%{_libdir}/cups/backend/pipe
install -m 755 -D hal $RPM_BUILD_ROOT%{_libdir}/cups/backend/hal
install -m 755 -D beh $RPM_BUILD_ROOT%{_libdir}/cups/backend/beh

%files 
%defattr(-, root,root)
%dir %{_libdir}/cups
%dir %{_libdir}/cups/backend
%{_libdir}/cups/backend/*
%doc README-beh.html

%changelog
* Tue Jul  7 2009 jsmeix@suse.de
- Replaced the pipe backend source cups-pipe.pl perl script
  with a new source cups-pipe.sh bash script which works
  in much better compliance to CUPS and which also fixes
  a bug that it did not get signals from the cupsd
  so that it did not terminate pipe when removing jobs
  (see Novell/Suse Bugzilla bnc#499735).
* Wed Mar 22 2006 lmuelle@suse.de
- Update beh backend to the current version.
- Add beh documentation derivated from http://www.linuxprinting.org/beh.html.
- Move ncp backend to the ncpfs package.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 kssingvo@suse.de
- added backend error handler (beh) (bugzilla#132002)
* Tue Oct  4 2005 jsrain@suse.cz
- fixed the error handling in the pipe backend (#93480)
* Mon Sep 19 2005 lmuelle@suse.de
- Don't redirect stdout to stderr in the pipe backend.
- Install the right files, [#117887].
* Tue Jul 26 2005 kssingvo@suse.de
- initial version
